Get banks
Every operation that has to name a bank takes its code, and this endpoint is where those codes come from: preparing or applying a bank transfer and creating a collection intent, for a banking credential, and sending a payout, for a core one.
It retrieves all the banks we support with the code each of them is known by here, and the account types supported by each bank you can transfer to (only when the kind parameter is transfers).
AutorizaciónBearer <token>
En: header
Parámetros de consulta
kind?string
there are two types of responses (Polymorphism response): transfers are the banks money can be sent to, which is the catalog both bank transfers and payouts name a bank from, and pse are the banks from the pse provider, used when building a collection.
Default
"transfers"Value in
"transfers" | "pse"Example
"transfers"Cuerpo de la respuesta
application/json
application/json
application/json
curl -X GET "https://api.sandbox.cuentamono.com/v1/banks"{
"banks": [
{
"code": "1051",
"name": "BANCO DAVIVIENDA"
}
],
"kind": "pse"
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "expired_token",
"message": "The token is expired, inactive, or doesn't exist.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}